Ubuntu

connmand crashed with SIGSEGV in __strcmp_ssse3()

Reported by Kalle Valo on 2011-03-13
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Connection Manager
High
Kalle Valo
connman (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: connman

I added three manual nameservers with indicator-network-settings (two ipv6 and one ipv4) and then connman crashed.

ProblemType: Crash
DistroRelease: Ubuntu 11.04
Package: connman 0.69-0ubuntu1
Uname: Linux 2.6.38-rc8-wl x86_64
Architecture: amd64
CrashCounter: 1
Date: Sun Mar 13 16:30:09 2011
ExecutablePath: /usr/sbin/connmand
IpRoute:
 192.168.1.1 dev wlan0 scope link
 192.168.1.0/24 dev wlan0 proto kernel scope link src 192.168.1.131
 default via 192.168.1.1 dev wlan0
MachineType: SAMSUNG ELECTRONICS CO., LTD. X120/X170
ProcCmdline: connmand -c
ProcEnviron: PATH=(custom, no user)
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-rc8-wl root=UUID=b345284f-a700-4b71-a796-254f8e2835e8 ro quiet splash security= vt.handoff=7
SegvAnalysis:
 Segfault happened at: 0x7f64f081cefa <__strcmp_ssse3+26>: movlpd (%rsi),%xmm2
 PC (0x7f64f081cefa) ok
 source "(%rsi)" (0x00000000) not located in a known VMA region (needed readable region)!
 destination "%xmm2" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: connman
StacktraceTop:
 __strcmp_ssse3 () at ../sysdeps/x86_64/multiarch/../strcmp.S:214
 g_str_equal (v1=<value optimized out>, v2=<value optimized out>) at /build/buildd/glib2.0-2.28.2/./glib/gstring.c:116
 append_domain (interface=0x7f64f28ddd90 "wlan0", domain=0x0) at src/dnsproxy.c:855
 __connman_dnsproxy_append (interface=0x7f64f28ddd90 "wlan0", domain=0x0, server=0x7fff9db69c70 "2001:b18:0:1000:2e0:81ff:fe61:ae0d") at src/dnsproxy.c:889
 append_resolver (interface=0x7f64f28ddd90 "wlan0", domain=0x0, server=0x7fff9db69c70 "2001:b18:0:1000:2e0:81ff:fe61:ae0d", lifetime=600, flags=0) at src/resolver.c:272
Title: connmand crashed with SIGSEGV in __strcmp_ssse3()
UpgradeStatus: Upgraded to natty on 2011-02-04 (37 days ago)
UserGroups:

dmi.bios.date: 10/13/2009
dmi.bios.vendor: Phoenix Technologies Ltd.
dmi.bios.version: 04CX.M005.20091013.KSY
dmi.board.name: X120/X170
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: Not Applicable
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLtd.:bvr04CX.M005.20091013.KSY:bd10/13/2009:svnSAMSUNGELECTRONICSCO.,LTD.:pnX120/X170:pvrNotApplicable:rvnSAMSUNGELECTRONICSCO.,LTD.:rnX120/X170:rvrNotApplicable:cvnSAMSUNGELECTRONICSCO.,LTD.:ct10:cvrN/A:
dmi.product.name: X120/X170
dmi.product.version: Not Applicable
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.

Kalle Valo (kvalo) wrote :
Kalle Valo (kvalo) wrote :
visibility: private → public
Changed in connman:
status: New → In Progress
importance: Undecided → High
assignee: nobody → Kalle Valo (kvalo)
Changed in connman (Ubuntu):
status: New → Triaged
importance: Undecided → High
tags: removed: need-amd64-retrace
Kalle Valo (kvalo) wrote :

I can confirm, the fix in comment #2 fixes the issue for me. I pushed the fix to a branch.

Changed in connman:
status: In Progress → Fix Committed
Kalle Valo (kvalo) wrote :

Requesting sponsorship for my branch lp:~kvalo/connman/bug-734339.

Changed in connman (Ubuntu):
assignee: nobody → Andres Rodriguez (andreserl)
status: Triaged → In Progress
Andres Rodriguez (andreserl) wrote :

Branch looks good to me. Uploading!

Thanks Kalle.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package connman - 0.69-0ubuntu2

---------------
connman (0.69-0ubuntu2) natty; urgency=low

  * debian/rules: Remove unsupported configured switches --enable-dhclient
    and --enable-udev.
  * 11-dnsproxy-do-not-add-null-domains.patch: add to fix a crash with
    domain handling. (LP: #734339)
  * 04-wifi-add-a-disconnected-timer.patch: fix for a case if network is
    null. (LP: #733458)
  * debian/rules: enable nmcompat plugin so that applications can receive
    network state signals. (LP: #586033)
 -- Kalle Valo <email address hidden> Wed, 16 Mar 2011 10:53:33 +0200

Changed in connman (Ubuntu):
status: In Progress → Fix Released
Changed in connman (Ubuntu):
assignee: Andres Rodriguez (andreserl) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers